iPhone: Создание игр для iOS (iPhone и iPad)
GameDev.ru / Сообщества / iPhone / Форум / Как поставить mobileprovision , без мака?

Как поставить mobileprovision , без мака?

DartmorПостоялецwww8 фев. 20121:54#0
Программист сделал ipa файл игры, нужно потестить, но мака нету. В инструкциях же речь о маке. Как мне тогда быть?
SanПостоялецwww8 фев. 20125:54#1
Dartmor
Под виндой из айтюнса не получается поставить?
GLoomУчастникwww8 фев. 20128:52#2
San прав, тянешь в iTunes и синхронизируешь.
DartmorПостоялецwww8 фев. 201211:50#3
Я нашёл способ, но всё равно "несовместимо с этим iPhone" пишет. Когда sync
MikrokotПостоялецwww8 фев. 201213:14#4
Уточните для какой минимальной версии iOS программист компилировал приложение и какая версия iOS на девайсе с которым синхронизируете?
leonardo98Постоялецwww8 фев. 201213:16#5
если при сборке ipa файла iphone не был занесен в список устройств для тестирования(не помню как точно по аглицки)), то никак на устройство не залить -- если только делать джейлбрейк

..update: если есть провизион профиль и iphone таки в списке - надо оба файла(provision & ipa) кинуть в itunes

DartmorПостоялецwww8 фев. 201213:51#6
Mikrokot
4.2.1, вроде самая последняя


leonardo98
я давал udid :(

MikrokotПостоялецwww8 фев. 201214:15#7
Dartmor
> 4.2.1, вроде самая последняя
это версия iOS на девайсе? или это версия SDK?
Для девайсов последняя версия iOS 5.0.1
Вполне вероятно то, что программист мог скомпилировать приложение с "iOS Deployment Target"==5.0
И, естественно, приложение не будет работать/синхронизироваться на девайсах c версией iOS<5.0
LeshikПостоялецwww8 фев. 201214:22#8
открой провижен профайл как txt и посмотри есть ли там твой UDID
какой iPhone вообще ?
DartmorПостоялецwww8 фев. 201214:26#9
Mikrokot
Тогда почему жму обновление, а он мне "это самая актуальная версия" (4.2.1) ?

Leshik
3g
щас посмотрю

DartmorПостоялецwww8 фев. 201214:29#10
Leshik
там много текста, в какой части смотреть?
MikrokotПостоялецwww8 фев. 201214:39#11
Dartmor
> Тогда почему жму обновление, а он мне "это самая актуальная версия" (4.2.1) ?
Скорее всего у Вас "устаревший" девайс - iPod Touch 2nd gen или iPhone 3G.
Последние версии iOS поддерживаются с iPod Touch 3rd gen  и iPhone 3GS.
В любом случае попросите программиста скомпилировать приложение под iOS 4.2.1

>там много текста, в какой части смотреть?
с помощью "поиска"

kZUraXПостоялецwww10 фев. 201223:17#12
еще для 3G попросите что б программист проверил что в Target Architecture есть armv6.
А ещё что б там не было(в самом приложении или движке, который он использовал) OpenGL - он только с  3GS появился.
DartmorПостоялецwww10 фев. 201223:36#13
kZUraX
Вчера всё сделали... Ты попал в точку ) Была проблема с архитектурой и с armv6
SanПостоялецwww11 фев. 20121:20#14
kZUraX
> OpenGL - он только с 3GS появился.
Ой ли? :)

/ Форум / iPhone: Создание игр / Общее

Тема в архиве.

2001—2018 © GameDev.ru — Разработка игр